3

I'm using Ubuntu 14.04. I'm trying to run Portal 2 game for Linux from Steam, and it's not working; when I run it from terminal I get this error:

 error while loading shared libraries: libtcmalloc_minimal.so.4

How can I fix this?

  • Have you tried installing the package? It's not installed by default. You'd use the command sudo apt install libtcmalloc-minimal4 – Zanna Apr 10 '17 at 8:18
  • Yes . I forget to add. Under this line terminal writes wrong ELF class: ELFCLASS64 too. – Danilo Ivanovic Apr 10 '17 at 19:48
  • you may need to run sudo dpkg --add-architecture i386 and then sudo apt install libtcmalloc-minimal4:i386 *fingers crossed* (the last :i386 might not be necessary) – Zanna Apr 10 '17 at 19:53
  • @Zanna Yeah it worked, thank you for help. And sorry you waited i had to try some levels. :D – Danilo Ivanovic Apr 10 '17 at 20:19
  • hah no need to be sorry for that! great, glad that it worked! – Zanna Apr 10 '17 at 20:21
6

The library is provided by the libtcmalloc-minimal4 package which is available in repositories for 16.04 (and 16.10).

The game requires the 32-bit version of the library it seems (clue found in this GitHub issue) so if you're running a 64-bit system and haven't got any 32-bit packages, you'll need to run:

sudo dpkg --add-architecture i386

and then install with the :i386 suffix:

sudo apt install libtcmalloc-minimal4:i386

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.